#include <string>
#include <cstring>
#include <iostream>

namespace hyper {
	namespace genom_model {
		template<size_t N>
		void string_to_char_array(const std::string& src, char (&dest)[N])
		{
			if (src.size() > N) {
				std::cerr << "Warning : " << src << " will be truncated " << std::endl;
				strncpy(dest, src.data(), N);
				dest[N-1] = 0;
			}

			else 
				strcpy(dest, src.data());
		}

	}
}
